## golang-github-ibm-sarama 1.43.2

=== debian/changelog ===
golang-github-ibm-sarama (1.43.2-1) unstable; urgency=medium

  * New upstream release
  * d/control:
    - Update Standards-Version to 4.7.0 (no changes needed)
    - Update list of Build-Depends and Depends

 -- Mathias Gibbens <gibmat@debian.org>  Fri, 26 Apr 2024 00:06:23 +0000

golang-github-ibm-sarama (1.43.0-1) unstable; urgency=medium

  * Initial release (Closes: #1067554)

 -- Mathias Gibbens <gibmat@debian.org>  Wed, 10 Apr 2024 01:25:31 +0000

## golang-github-ibm-sarama 1.46.2

=== Makefile ===
default: fmt get update test lint

GO       := go
GOBIN    := $(shell pwd)/bin
GOBUILD  := CGO_ENABLED=0 $(GO) build $(BUILD_FLAG)

GOTESTSUM         := $(GOBIN)/gotestsum
GOTESTSUM_VERSION := v1.13.0
$(GOTESTSUM):
	GOBIN=$(GOBIN) go install gotest.tools/gotestsum@$(GOTESTSUM_VERSION)

TESTSTAT         := $(GOBIN)/teststat
TESTSTAT_VERSION := v0.1.26
$(TESTSTAT):
	GOBIN=$(GOBIN) go install github.com/vearutop/teststat@$(TESTSTAT_VERSION)

FILES := $(shell find . -name '*.go' -type f -not -name '*.pb.go' -not -name '*_generated.go' -not -name '*_test.go')
TESTS := $(shell find . -name '*.go' -type f -not -name '*.pb.go' -not -name '*_generated.go' -name '*_test.go')

get:
	$(GO) get ./...
	$(GO) mod verify
	$(GO) mod tidy

update:
	$(GO) get -u -v ./...
	$(GO) mod verify
	$(GO) mod tidy

fmt:
	gofmt -s -l -w $(FILES) $(TESTS)

lint:
	GOFLAGS="-tags=functional" golangci-lint run

test: $(GOTESTSUM) $(TESTSTAT) $(TPARSE)
	@$(GOTESTSUM) $(if ${CI},--format github-actions,--format testdox) --jsonfile _test/unittests.json --junitfile _test/unittests.xml \
		--rerun-fails --packages="./..." \
		-- -v -race -coverprofile=profile.out -covermode=atomic -timeout 2m
	@$(TESTSTAT) _test/unittests.json

.PHONY: test_functional
test_functional: $(GOTESTSUM) $(TESTSTAT) $(TPARSE)
	@$(GOTESTSUM) $(if ${CI},--format github-actions,--format testdox) --jsonfile _test/fvt.json --junitfile _test/fvt.xml \
		--rerun-fails --packages="./..." \
		-- -v -race -coverprofile=profile.out -covermode=atomic -timeout 15m -tags=functional
	@$(TESTSTAT) _test/fvt.json

## golang-github-ibm-sarama 1.43.3

=== debian/changelog ===
golang-github-ibm-sarama (1.43.3-1) unstable; urgency=medium

  * New upstream release

 -- Mathias Gibbens <gibmat@debian.org>  Sun, 18 Aug 2024 18:01:09 +0000

=== debian/control ===
Source: golang-github-ibm-sarama
Section: golang
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Mathias Gibbens <gibmat@debian.org>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-sequence-golang,
               golang-any,
               golang-github-davecgh-go-spew-dev,
               golang-github-eapache-go-resiliency-dev,
               golang-github-eapache-go-xerial-snappy-dev,
               golang-github-fortytw2-leaktest-dev,
               golang-github-hashicorp-go-multierror-dev,
               golang-github-jcmturner-gofork-dev,
               golang-github-jcmturner-gokrb5.v8-dev,
               golang-github-klauspost-compress-dev,
               golang-github-pierrec-lz4-dev,
               golang-github-rcrowley-go-metrics-dev,
               golang-github-stretchr-testify-dev,
               golang-golang-x-net-dev,
               golang-golang-x-sync-dev,
               golang-gopkg-eapache-queue.v1-dev
Testsuite: autopkgtest-pkg-go
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-ibm-sarama
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-ibm-sarama.git
Homepage: https://github.com/IBM/sarama
XS-Go-Import-Path: github.com/IBM/sarama

Package: golang-github-ibm-sarama-dev
Architecture: all
Multi-Arch: foreign
Depends: golang-github-davecgh-go-spew-dev,
         golang-github-eapache-go-resiliency-dev,
         golang-github-eapache-go-xerial-snappy-dev,
         golang-github-fortytw2-leaktest-dev,
         golang-github-hashicorp-go-multierror-dev,
         golang-github-jcmturner-gofork-dev,
         golang-github-jcmturner-gokrb5.v8-dev,
         golang-github-klauspost-compress-dev,
         golang-github-pierrec-lz4-dev,
         golang-github-rcrowley-go-metrics-dev,
         golang-github-stretchr-testify-dev,
         golang-golang-x-net-dev,
         golang-golang-x-sync-dev,
         golang-gopkg-eapache-queue.v1-dev,
         ${misc:Depends}
Description: Client library for Apache Kafka
 sarama is a pure Go client library for dealing with Apache Kafka
 (versions 0.8 and later). It includes a high-level API for easily
 producing and consuming messages, and a low-level API for controlling
 bytes on the wire when the high-level API is insufficient.

## golang-github-ibm-sarama 1.45.0

=== debian/changelog ===
golang-github-ibm-sarama (1.45.0-1) unstable; urgency=medium

  * New upstream release
  * Update years in d/copyright

 -- Mathias Gibbens <gibmat@debian.org>  Mon, 20 Jan 2025 15:16:59 +0000

golang-github-ibm-sarama (1.43.3-2) unstable; urgency=medium

  * Update Build-Depends and Depends from
    golang-github-eapache-go-resiliency-dev to
    golang-gopkg-eapache-go-resiliency.v1-dev

 -- Mathias Gibbens <gibmat@debian.org>  Thu, 28 Nov 2024 21:09:01 +0000

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,6 @@
                dh-sequence-golang,
                golang-any,
                golang-github-davecgh-go-spew-dev,
-               golang-github-eapache-go-resiliency-dev,
                golang-github-eapache-go-xerial-snappy-dev,
                golang-github-fortytw2-leaktest-dev,
                golang-github-hashicorp-go-multierror-dev,
@@ -20,6 +19,7 @@
                golang-github-stretchr-testify-dev,
                golang-golang-x-net-dev,
                golang-golang-x-sync-dev,
+               golang-gopkg-eapache-go-resiliency.v1-dev,
                golang-gopkg-eapache-queue.v1-dev
 Testsuite: autopkgtest-pkg-go
 Standards-Version: 4.7.0
@@ -32,7 +32,6 @@
 Architecture: all
 Multi-Arch: foreign
 Depends: golang-github-davecgh-go-spew-dev,
-         golang-github-eapache-go-resiliency-dev,
          golang-github-eapache-go-xerial-snappy-dev,
          golang-github-fortytw2-leaktest-dev,
          golang-github-hashicorp-go-multierror-dev,
@@ -45,6 +44,7 @@
          golang-golang-x-net-dev,
          golang-golang-x-sync-dev,
          golang-gopkg-eapache-queue.v1-dev,
+         golang-gopkg-eapache-go-resiliency.v1-dev,
          ${misc:Depends}
 Description: Client library for Apache Kafka
  sarama is a pure Go client library for dealing with Apache Kafka

## golang-github-ibm-sarama 1.45.1

=== debian/changelog ===
golang-github-ibm-sarama (1.45.1-1) unstable; urgency=medium

  * New upstream release
  * Update Standards-Version to 4.7.2 in d/control (no changes needed)

 -- Mathias Gibbens <gibmat@debian.org>  Thu, 20 Mar 2025 22:43:46 +0000

=== debian/control ===
--- 
+++ 
@@ -22,7 +22,7 @@
                golang-gopkg-eapache-go-resiliency.v1-dev,
                golang-gopkg-eapache-queue.v1-dev
 Testsuite: autopkgtest-pkg-go
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-ibm-sarama
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-ibm-sarama.git
 Homepage: https://github.com/IBM/sarama

## golang-github-ibm-sarama 1.46.0

=== debian/changelog ===
golang-github-ibm-sarama (1.46.0-1) unstable; urgency=medium

  * New upstream release
    - Update Build-Depends and Depends

 -- Mathias Gibbens <gibmat@debian.org>  Sun, 07 Sep 2025 15:00:44 +0000

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,6 @@
                golang-github-davecgh-go-spew-dev,
                golang-github-eapache-go-xerial-snappy-dev,
                golang-github-fortytw2-leaktest-dev,
-               golang-github-hashicorp-go-multierror-dev,
                golang-github-jcmturner-gofork-dev,
                golang-github-jcmturner-gokrb5.v8-dev,
                golang-github-klauspost-compress-dev,
@@ -34,7 +33,6 @@
 Depends: golang-github-davecgh-go-spew-dev,
          golang-github-eapache-go-xerial-snappy-dev,
          golang-github-fortytw2-leaktest-dev,
-         golang-github-hashicorp-go-multierror-dev,
          golang-github-jcmturner-gofork-dev,
          golang-github-jcmturner-gokrb5.v8-dev,
          golang-github-klauspost-compress-dev,

## golang-github-ibm-sarama 1.46.1

=== debian/changelog ===
golang-github-ibm-sarama (1.46.1-1) unstable; urgency=medium

  * New upstream release
  * d/control:
    - Set minimum golang version to 1.24 as per go.mod
    - Drop redundant Rules-Requires-Root

 -- Mathias Gibbens <gibmat@debian.org>  Mon, 29 Sep 2025 13:15:58 +0000

## golang-github-ibm-sarama 1.46.2

=== debian/changelog ===
golang-github-ibm-sarama (1.46.2-1) unstable; urgency=medium

  * New upstream release

 -- Mathias Gibbens <gibmat@debian.org>  Sun, 12 Oct 2025 01:04:34 +0000

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,9 @@
 Priority: optional
 Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Mathias Gibbens <gibmat@debian.org>
-Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-golang,
-               golang-any,
+               golang-any (>= 2:1.24~),
                golang-github-davecgh-go-spew-dev,
                golang-github-eapache-go-xerial-snappy-dev,
                golang-github-fortytw2-leaktest-dev,

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/$1~$2$3/" \
  https://github.com/IBM/sarama/tags .*/v?(\d\S*)\.tar\.gz debian

## golang-github-ibm-sarama 1.46.3

=== Makefile ===
--- 
+++ 
@@ -5,12 +5,14 @@
 GOBUILD  := CGO_ENABLED=0 $(GO) build $(BUILD_FLAG)
 
 GOTESTSUM         := $(GOBIN)/gotestsum
+# renovate: datasource=github-releases depName=gotestyourself/gotestsum
 GOTESTSUM_VERSION := v1.13.0
 $(GOTESTSUM):
 	GOBIN=$(GOBIN) go install gotest.tools/gotestsum@$(GOTESTSUM_VERSION)
 
 TESTSTAT         := $(GOBIN)/teststat
-TESTSTAT_VERSION := v0.1.26
+# renovate: datasource=github-releases depName=vearutop/teststat
+TESTSTAT_VERSION := v0.1.27
 $(TESTSTAT):
 	GOBIN=$(GOBIN) go install github.com/vearutop/teststat@$(TESTSTAT_VERSION)

=== debian/changelog ===
golang-github-ibm-sarama (1.46.3-1) unstable; urgency=medium

  * New upstream release

 -- Mathias Gibbens <gibmat@debian.org>  Sun, 09 Nov 2025 16:14:30 +0000

=== debian/rules ===
#!/usr/bin/make -f

# Don't build examples or tools
export DH_GOLANG_EXCLUDES := examples/ tools/

%:
	dh $@ --builddirectory=_build --buildsystem=golang
